<ion-header translucent class="ion-no-border">
  <ion-toolbar class="title_bar">
    <!-- <ion-title size="large" class="white">Schedule</ion-title> -->
    <h4  class="white">Schedule</h4>
   <div class="row" >
    <div slot="end" class="align">
      <ion-chip outline="true"  (click)="Building()" color="white" [ngClass]="{'btn_color':  building=== true}">
        <ion-icon name="business-outline"></ion-icon>
        <ion-label>Building</ion-label>
      </ion-chip>
      <ion-chip outline="true" (click)=" Today()" color="white" [ngClass]="{'btn_color':  today=== true}" class="day_chip"  >
        <ion-icon name="calendar-outline" ></ion-icon>
        <ion-label >Today</ion-label>
      </ion-chip>
    </div>
  </div>






  

  
    <div class="maindiv" *ngIf="today">
      <div>
  
      <div>
        <ion-chip  outline="true"  color="white" (click)="all()" class="ion-btn" [ngClass]="{'chip_color':  allstatus=== true}">All</ion-chip>
        <ion-chip   outline="true"  color="white" (click)="Today1()" class="ion-btn" [ngClass]="{'chip_color':  todaystatus=== true}"><span>Today</span></ion-chip>
        <ion-chip  outline="true" color="white" (click)="Yesterday()" class="ion-btn1" [ngClass]="{'chip_color':  yesterdaystatus=== true}"><span>Yesterday</span></ion-chip>
        <ion-chip  outline="true"  color="white" (click)="Friday()" class="ion-btn" [ngClass]="{'chip_color':  fridaysatuts=== true}" *ngIf="!(day==='Fri'||yesterday1==='Fri')"><span >Friday</span></ion-chip>
        <ion-chip  outline="true"  color="white" (click)="Thursday()" class="ion-btn1" [ngClass]="{'chip_color':  thursdaystatus=== true}" *ngIf="!(day==='Thu'||yesterday1==='Thu')" ><span >Thursday</span></ion-chip>
        <ion-chip  outline="true"  color="white" (click)="Wednesday()" class="ion-btn1" [ngClass]="{'chip_color':  wensdaystatus=== true}" *ngIf="!(day==='Wed'||yesterday1==='Wed')"><span >Wednesday</span></ion-chip>
        <ion-chip  outline="true"  color="white" (click)="Tuesday()" class="ion-btn2" [ngClass]="{'chip_color':  tuesdaystatus=== true}" *ngIf="!(day==='Tue'||yesterday1==='Tue')"><span class="days" >Tuesday</span></ion-chip>
        <ion-chip  outline="true"  color="white" (click)="Monday()" class="ion-btn" [ngClass]="{'chip_color':  mondaystatus=== true}"><span class="days" *ngIf="!(day==='Mon'||yesterday1==='Mon')" >Monday</span></ion-chip>
        <ion-chip  outline="true"  color="white" (click)="saturday()" class="ion-btn2" [ngClass]="{'chip_color':  saturdaystatus=== true}" *ngIf="!(day==='Sat'||yesterday1==='Sat')"><span class="days" >Saturday</span></ion-chip>
        <ion-chip  outline="true"  color="white" (click)="sunday()" class="ion-btn" [ngClass]="{'chip_color':  sundaystatus=== true}"><span class="days" *ngIf="!(day==='Sun'||yesterday1==='Sun')" >Sunday</span></ion-chip>

      </div>
     
      <h4 class="status">By Status</h4>
     
      <div>
        <ion-chip  outline="true" color="white" (click)="all1()" class="ion-btn" [ngClass]="{'chip_color':  all1status=== true}"><span>All</span></ion-chip>
        <ion-chip  outline="true"  color="white" (click)="pending()" class="ion-btn2" [ngClass]="{'chip_color':  pendingstatus=== true}"><span >Pending</span></ion-chip>
        <ion-chip  outline="true"  color="white" (click)="completed()" class="ion-btn1"[ngClass]="{'chip_color':  completedstatus=== true}"><span>Completed</span></ion-chip>
      </div>


    </div>
  </div>

    <div *ngIf="building">

     
      <div class="mt-5 padding">
        <ion-searchbar   [formControl]="myControl" value={{this.searchvalue}} name="fname"></ion-searchbar>
      </div>
      <div>
    
        <div class="over" >
          <p class='p_tag' *ngFor='let building of buildingname' (click)="filter(building.building_name)"><span>{{building.building_name}}</span>,  {{building.location}}</p>
        </div>
       
      
<!-- 
        <mat-form-field appearance="fill">
         
          <select matNativeControl required>
            <option  *ngFor='let building of buildingname' value={{building.building_name}}><span>{{building.building_name}}</span>,{{building.location}}</option>
         
          </select>
        </mat-form-field> -->
        <!-- <div>
        
          <ion-input type="number" *ngFor='let building of buildingname' value={{building.building_name}}>{{building.building_name}}</ion-input>
        </div> -->
        </div>

    </div>
  </ion-toolbar>
</ion-header>
<!-- <div *ngIf="building">

     
  <div class="mt-5">
    <ion-searchbar ngModel="searchValue"></ion-searchbar>
  </div>
  <div *ngIf="status">
    <div class="scroll">
      <p *ngFor='let building of buildingsArray'><span>{{building.building_name}}</span>,{{building.location}}</p>
    </div>
  </div>

</div> -->


<!-- <label for="fname" class="searchsttyle">Search</label><br>
      <input type="text" id="fname" [formControl]="myControl"  name="fname"><i class="fas fa-search"></i><br><br> -->
   

<ion-content>

  <div class="background">

    <div class="content">
      <ion-grid *ngIf="!(allJobs.length>0)" class="noList">
        <ion-row  justify-content-center align-items-center>
          <ion-col>
            <div class="noItemFound">
              <h2>No Schedules Available</h2>
            </div>
          </ion-col>
        </ion-row>
      </ion-grid>

      <div *ngFor='let job of location' class="schedule_card">
        <p class="building_title">{{job.building_name}}, {{job.location}}</p>

      
            <div  *ngIf="job.vehicles.length==0">

              <h6 class="noschedule">No Schedules Available</h6>
  
            </div>
         

        <ion-row *ngFor='let vehicle of job.vehicles'>

         <ion-col size='4' style="margin-left: 10px;">
            <img src="/assets/images/car_icon.svg" alt="" srcset="" height="78%">
            <!-- <ion-icon name="alert" class="pending-icon" *ngIf="vehicle.status=='Pending'"></ion-icon> -->
            <img src="/assets/images/vehicle_pending.svg" alt="" srcset="" class="pending-icon"
              *ngIf="vehicle.status=='pending'">
            <img src="/assets/images/vehicle_done.png" alt="" srcset="" class="completed-icon"
              *ngIf="vehicle.status=='completed'">
            <!-- <ion-icon name="checkmark-circle" class="completed-icon" [style.color]="'#28F714'"
            *ngIf="vehicle.status=='Completed'"></ion-icon> -->
          </ion-col>
          <ion-col size='6' style="margin-left: -31px;">
            <p style="font-size: 20px;">{{vehicle.carnumber}}</p>
            <p style="margin-top:-12px;font-size: 15px;">Parking lot:{{vehicle.parking_no}}</p>
            <p style="margin-top: -11px;">
              <ion-icon name="today-outline"></ion-icon>
              {{vehicle.date}}
            </p>
          </ion-col>
          <ion-col *ngIf="(vehicle.status=='Assigned')||(vehicle.status=='pending')"
            (click)='presentModal(vehicle)' class="markasdone">
            <ion-icon name="checkmark-circle" class="assigned-icon" [style.color]="'#28F714'"></ion-icon>
            <!-- <img src="/assets/images/vehicle_done.png" alt="" srcset=""  class="assigned-icon"> -->
            <span> Mark as Done</span>
          </ion-col>
          <hr style="border-width: 1px;width: 100%;margin-top: -10px;">
        </ion-row>
        <!-- <hr style="border-width: 2px;"> -->
      </div>

    </div>
  </div>

</ion-content>